
QGIS Application - Bug report #4402

QGIS crashes displaying overview if diagrams are used

2011-10-18 07:46 AM - Riccardo Mattiuzzo

Status: Closed

Priority: High

Assignee:

Category: Map Canvas

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 14334

Description

Qgis crashes after the following steps:

- starting with a clean project I add a vector layer from file

- I add a diagram (with some values) and I display it

- when I try to "show in overview" or uncheck from "show in overview" application crashes and kicks me off to OS

Associated revisions

Revision b6f250d5 - 2011-12-24 01:37 PM - Jürgen Fischer

fix #4402

Revision eafed690 - 2011-12-25 03:53 PM - Jürgen Fischer

fix #4402

History

#1 - 2011-10-18 07:56 AM - Paolo Cavallini

Confirmed in Debian testing, qgis self packaged

#2 - 2011-10-18 08:03 AM - Roberto Socin

Same for me on qGis 1.8.0-Trunk in Win7 environment.

I leave the crash info from the qgis.exe maybe can help:

Nome evento problema:    APPCRASH

  Nome applicazione:    qgis.exe

  Versione applicazione:    0.0.0.0

  Timestamp applicazione:    4e7344cf

  Nome modulo con errori:    qgis_core.dll

  Versione modulo con errori:    0.0.0.0

  Timestamp modulo con errori:    4e733f3f

  Codice eccezione:    c0000005

  Offset eccezione:    0014ff12

  Versione SO:    6.1.7601.2.1.0.768.3
  ID impostazioni locali:    1040

  Informazioni aggiuntive 1:    0a9e

  Ulteriori informazioni 2:    0a9e372d3b4ad19135b953a78882e789

  Ulteriori informazioni 3:    0a9e

  Ulteriori informazioni 4:    0a9e372d3b4ad19135b953a78882e789

#3 - 2011-10-18 08:10 AM - Giovanni Manghi

- Target version deleted (Version 1.7.1)

- OS version deleted (Debian Squeeze 6.0.2)

- Operating System deleted (GNU/Linux)

The QGIS overview is very bugged. The threading branch of QGIS seems to fix a few of the issues, this crashes in particular.

Meanwhile use the "openlayers overview" plugin. Not the same thing (it show only layers from the OL plugin, so Google, Yahoo, Bing, etc.) but at least it

works.

#4 - 2011-12-16 02:10 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#5 - 2011-12-23 08:48 AM - Giovanni Manghi

- Category changed from Symbology to Map Canvas

- Crashes QGIS or corrupts data set to Yes

- Affected QGIS version set to master

- Priority changed from Normal to 6

still true on qgi-master on both linux and windows/osgeo4w.

Beside this issue the QGIS overview seems to work much better and more stable than the last time I tested it (that was basically useless)

#6 - 2011-12-23 08:52 AM - Giovanni Manghi

- Subject changed from Qgis crashes displaying overview to QGIS crashes displaying overview if diagrams are used

It does not happens if diagrams are not used.

#7 - 2011-12-24 04:38 AM - Jürgen Fischer

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:"b6f250d55e2a81e48512d6a4adefed7bfa80363a".
